NBS: Needs porting to latest evolution-data-server API

Bug #1051882 reported by Didier Roche on 2012-09-17
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Evolution Indicator
High
Unassigned
evolution-indicator (Ubuntu)
High
Mathieu Trudel-Lapierre

Bug Description

evolution-data-server changed its API. evolution-indicator needs to be ported to it to work in quantal.

Didier Roche (didrocks) wrote :
Changed in evolution-indicator (Ubuntu Quantal):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
importance: Undecided → High
status: New → Triaged
Changed in evolution-indicator:
status: New → Triaged
importance: Undecided → High
Changed in evolution-indicator (Ubuntu Quantal):
milestone: none → ubuntu-12.10
Didier Roche (didrocks) wrote :

I removed the component from quantal right now, not a quantal distro task anymore.

no longer affects: evolution-indicator (Ubuntu Quantal)
Changed in evolution-indicator (Ubuntu):
milestone: ubuntu-12.10 → quantal-updates
Sebastien Bacher (seb128) wrote :

That patch makes the code build with evolution 3.6, there is still a TODO and the messaging menu doesn't work but it's a first step, thanks to "twolife" on irc.gnome.org for the code!

tags: added: patch
Sébastien Noel (twolife) wrote :

my C skills are pretty low but "it works for me".
that new patch port the code to build with evolution 3.6 and messaging-menu.

Works great. I've just had a crash with evo; but I'm not sure yet if it's really because of the indicator.

One catch though, it opens another instance of evolution if one is already open...

Changed in evolution-indicator (Ubuntu):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Mathieu Trudel-Lapierre (mathieu-tl)
Sébastien Noel (twolife) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution-indicator - 0.2.20-0ubuntu9

---------------
evolution-indicator (0.2.20-0ubuntu9) raring; urgency=low

  * debian/patches/evolution-indicator-eds3.6_v2.patch: port to EDS 3.6 and port
    to use libmessaging-menu. (LP: #1051882)
  * debian/control:
    - add libmessaging-menu-dev to Build-Depends.
    - switch to debhelper 9.
    - remove Build-Depends on cdbs.
  * debian/compat: bump compat level to 9.
  * debian/rules:
    - migrate to dh sequencer.
  * debian/source/format: switch to source format 3.0 (quilt)
  * debian/patches/series: added, use quilt for patches.
  * debian/copyright: update and clarify copyright, migrate to DEP-5 format.
  * debian/patches/add_copying_lgpl_license.patch: add COPYING.LGPL.
 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 05 Dec 2012 16:16:49 -0500

Changed in evolution-indicator (Ubuntu):
status: Triaged → Fix Released
Khurshid Alam (khurshid-alam) wrote :

it doesn't work on Ubuntu 13.04 with evolution 3.8.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers